Subject: RE: h.245 channel establishment

From: Chris Purvis <[email-masked]>
Date: Wed, 17 Mar 1999 11:07:17 -0000

Ritu,

1. I see no reason why a gatekeeper can't bring up a TCP connection for
H.245 on the basis of an address an endpoint has given it.  This would seem
to be perfectly normal behaviour in any model where the gatekeeper is
routing H.245.

2. It's perfectly possible for one "leg" of a call to be tunnelling H.245,
and the other to have a separate TCP connection.

3. Called endpoing may get GK's H.245 control channel transport address from
the (optional) h245address field in the setup message (if the GK chooses to
fill it in).

Does that give you enough options?

I actually think this is one of the few places where direct-routed vs
GK-routed is not a major issue.

As an aside, we shouldn't assume that TCP is the only right answer for
anything in the H.323 world, because the H.323 standards do not require that
they're being implemented over IP.

Regards,
Chris

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 17 March 1999 9:45
> To: [email-masked]; [email-masked]
> Subject: h.245 channel establishment
> 
> 
> Hi All,
>     This is regarding h.245 control channel establishment.
> 
> Specifications (see sections 6.2.8 and 8.2 of h.323 ) say that either
> endpoint, involved in the call, will initiate setup of TCP 
> connection for
> h.245 signalling. But there has not been any explicit mention 
> of type of
> 'call model' supported. So should I assume that in its absence,
> irrespective of call model, TCP conection will be initiated 
> by endpoint
> ONLY and not by gatekeeper?
> 
> In case GK decides to route h.245 signalling, then two h.245 
> channels will
> be required, one between calling endpoint and GK and other 
> between GK and
> called party. So can I assume safely that in this case, both 
> calling party
> and called party will  initiate a h.245 channel towards 
> gatekeeper? But in
> this case how will called endpoint get GK's h.245 control 
> channel transport
> address?(For calling end, that is conveyed in call proceeding 
> or Alert or
> Connect or Progress message)
> 
> Also while switching from tunneling to a seperate connection 
> for h.245,
> both endpoints will have to initiate TCP connection towards 
> GK to have two
> channels.
> 
> In any of above two cases,what if one endpoint sets up h.245 
> connection
> towards GK but other endpoint does not initiate? Should GK initiate a
> channel setup or just send a Facility message with a reason 
> of 'starth245'?
> 
> Any experiences or ideas to be shared?
> 
> Thanks,
> Ritu.
> 
> standards discuss this setup.
> 
> 
> --------------------------------------------------------------
> -----------
> for list subscription instructions,
> send email to [email-masked] with text "info"
> 

---------
This message came from the IETF IPTEL Working Group Mailing List.

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 18 Mar 1999 11:17:25 -0500

This thread somehow got added to the iptel mailing list at some point.
It really seems like it belongs entirely on the h323 implementors list.
I would ask that people responding to this thread remove iptel from the
distribution list.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg                       Lucent Technologies
Member of Technical Staff                   101 Crawfords Corner Rd.
High Speed Networks Research                Holmdel, NJ 07733
FAX:   (732) 834-5379                       Rm. 4C-526
EMAIL: [email-masked]
URL: http://www.cs.columbia.edu/~jdrosen

---------